/* Generic */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  list-style: none;
  text-decoration: none;
}

.btn {
  background-color: #36b37f;
  padding: 17px 15px;
  color: white;
  border-radius: 5px;
  font-family: 'Inter', sans-serif;
  align-self: center;
  transition: all 0.5s ease-out;
}

.btn:hover {
  background-color: #008552;
  color: white;
}

.generic {
  text-align: center;
  font-family: 'Inter', sans-serif;
}

.section-headline {
  font-family: 'Inter', sans-serif;
  font-size: 40px;
  margin-bottom: 58px;
  color: #172b4d;
  padding: 0 30px;
  margin-top: 40px;
}

.container {
  width: 100%;
}

@media screen and (max-width: 767px) {
  /* Nav Bar */
  .img-project1 {
    height: 222px;
    width: 320px;
    padding-top: 15px;
  }

  .toolbar {
    height: 48px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .navbar-items li a {
    font-family: 'Inter', sans-serif;
    text-decoration: none;
    color: #3a4a42;
    font-size: 32px;
    font-weight: 600;
    padding-left: 28px;
  }

  .navbar-items li {
    margin-bottom: 40px;
  }

  .navbar-items {
    display: none;
  }

  .visible-mobilemenu {
    display: flex;
    position: absolute;
    flex-direction: column;
    height: 100vh;
    width: 100%;
    justify-content: start;
    align-items: flex-start;
    top: 48px;
    left: 0;
    background-color: #fff;
    overflow-y: hidden;
  }

  .logo {
    margin-left: 30px;
    font-family: 'Inter', sans-serif;
    color: #28352f;
  }

  .logo-invisible {
    display: none;
  }

  .about-me-headline h2 {
    color: #42526e;
    font-family: 'Inter', sans-serif;
  }

  .about-me-card h3 {
    font-family: 'Inter', sans-serif;
    font-size: 24px;
    margin-top: 40px;
    margin-bottom: 25px;
    color: #344563;
  }

  .work-card h3 {
    font-family: 'Inter', sans-serif;
    font-size: 24px;
    margin-top: 40px;
    margin-bottom: 25px;
    color: #3a4a42;
    padding-top: 10px;
    padding-bottom: 10px;
  }

  .logo a h3 {
    color: black;
  }

  .menu-button {
    margin-right: 30px;
    background-image: url("images/IconMenu.jpg");
    order: 2;
    background-size: contain;
    background-repeat: no-repeat;
    width: 35px;
    height: 35px;
  }

  .menu-button-open {
    margin-right: 30px;
    background-image: url("images/IconCancel.svg");
    order: 2;
    background-size: contain;
    background-repeat: no-repeat;
    width: 35px;
    height: 35px;
  }

  /* Headline */
  .headline {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    text-align: center;
    background-image: url("images/header-illsutration-mobile@2x.jpg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
    height: 1000px;
    padding: 0 15px;
  }

  .headline h1 {
    font-family: 'Inter', sans-serif;
    font-size: 40px;
    color: #172b4d;
    padding: 0 30px;
  }

  .headline span {
    font-family: 'Inter', sans-serif;
    font-size: 40px;
    color: #36b37e;
  }

  .headline p {
    font-family: 'Inter', sans-serif;
    font-size: 20px;
    color: #42526e;
    padding: 0 30px;
  }

  .contact-info {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 30px;
  }

  .contact-info-button {
    margin-right: 30px;
  }

  /* Recent works */
  .recent-works {
    margin-bottom: 40px;
    padding: 0 24px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
  }

  .indicator {
    justify-self: center;
  }

  .works-cards-container {
    width: 100%;
    margin-top: 40px;
    display: grid;
    grid-template-columns: minmax(350px, 1fr);
    grid-template-rows: 6fr;
    align-items: center;
    justify-content: center;
  }

  .work-card {
    width: 350px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    border: 1px solid #d0d9d4;
    margin-bottom: 15px;
    padding-bottom: 24px;
    justify-self: center;
    align-self: center;
    border-radius: 10px;
  }

  .works-cards-detail-container {
    border-radius: 50%;
    height: 275px;
  }

  .project-image {
    height: 252px;
    width: 350px;
    background-color: #ebf0ee;
    border-radius: 8px 8px 0 0;
  }

  .project-image-bg {
    background-color: black;
  }

  .recent-works-frameworks {
    display: flex;
    justify-content: space-evenly;
    margin-bottom: 40px;
  }

  .frameworks-item {
    padding: 12px 12px;
    font-family: 'Inter', sans-serif;
    background: #ebf0ee;
    margin-right: 5px;
    border-radius: 5px;
    color: #3a4a42;
    font-weight: bold;
    margin-bottom: 5px;
  }

  .btn-align {
    margin-bottom: 10px;
  }

  /* About me */
  .about-me {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    text-align: center;
  }

  .about-me p {
    font-family: 'Inter', sans-serif;
    font-size: 20px;
    margin-bottom: 60px;
    padding: 0 12px;
  }

  .about-me-headline {
    width: 100%;
    height: 351px;
    background-image: url("images/illustration-1-about-me-mobile.jpg"), url("images/illustration-2-about-me-mobile.jpg");
    background-repeat: no-repeat;
    background-position: top right, bottom left;
  }

  .about-me-headline p {
    color: #42526e;
    font-family: 'Inter', sans-serif;
    margin-bottom: 40px;
    padding: 0 35px;
  }

  .knowledges {
    display: grid;
    align-content: center;
    grid-template-columns: 1fr;
    grid-template-rows: 3fr;
    width: 90%;
    margin-top: 60px;
  }

  .image-container {
    margin-top: 20px;
  }

  .about-me-card {
    width: 315px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    border: 1px solid #d0d9d4;
    margin-bottom: 15px;
    background: #ebf0ee;
    justify-self: center;
    border-radius: 10px;
  }

  .subcategory-items {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    margin-bottom: 100px;
  }

  .subcategory-item {
    padding: 12px 12px;
    font-family: 'Inter', sans-serif;
    background: #fff;
    margin-right: 5px;
    color: #36b37e;
    margin-bottom: 15px;
    border-radius: 10px;
  }

  .frameworks-card {
    max-width: 369px;
    margin-left: 5%;
    margin-right: 5px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    border: 1px solid #d0d9d4;
    margin-bottom: 15px;
    background: #ebf0ee;
  }

  /* Contact Form */
  .footer {
    height: 785px;
    background-image: url("images/illustration-contact-form.svg");
    background-repeat: no-repeat;
    background-position: bottom right;
  }

  .contact-form-control {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 40px;
  }

  .user-name {
    font-family: 'Inter', sans-serif;
    border: 1px solid #d0d9d4;
    width: 327px;
    height: 48px;
    margin-bottom: 20px;
    border-radius: 4px;
    padding-left: 10px;
  }

  .user-email {
    font-family: 'Inter', sans-serif;
    border: 1px solid #d0d9d4;
    width: 327px;
    height: 48px;
    margin-bottom: 20px;
    border-radius: 4px;
    padding-left: 10px;
  }

  .user-msg {
    font-family: 'Inter', sans-serif;
    border: 1px solid #d0d9d4;
    width: 327px;
    height: 114px;
    margin-bottom: 5px;
    border-radius: 4px;
    padding-left: 10px;
    padding-top: 10px;
  }

  .contact-for-contact-info {
    margin-bottom: 40px;
  }

  .portfolio-owner-email {
    font-family: 'Inter', sans-serif;
    text-align: center;
    height: 0;
    color: #42526e;
  }

  /* Popup windows */
  .background-popup {
    display: flex;
    position: fixed;
    background-color: #c1c7d0;
    opacity: 0.98;
    width: 100%;
    top: 0;
    height: 100%;
    z-index: 100;
    overflow: auto;
    padding-top: 80px;
  }

  .modal-container {
    width: 100%;
    height: 1500px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .modal {
    position: absolute;
    width: 80%;
    height: 1500px;
    top: 3%;
    background-color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-self: center;
    padding: 0 20px 0 20px;
  }

  .popup-close {
    width: 50px;
    height: 60px;
    background-image: url("images/ClosePopup.svg");
    background-repeat: no-repeat;
    align-self: flex-end;
    margin: 15px 0 15px 0;
  }

  .popup-img > img {
    width: 100%;
    height: auto;
    object-fit: cover;
    text-align: center;
  }

  .popup-img {
    align-self: center;
  }

  .live-button {
    background-color: #36b37f;
    padding: 17px 15px 17px 12px;
    color: white;
    border-radius: 5px;
    font-family: 'Inter', sans-serif;
    margin-top: 30px;
    width: 50%;
    margin-right: 10px;
    text-align: center;
  }

  .live-button:hover {
    background-color: #008552;
    color: white;
  }

  .live-button > img {
    margin-left: 7px;
  }

  .source-button {
    background-color: #36b37f;
    padding: 17px 15px 17px 12px;
    color: white;
    border-radius: 5px;
    font-family: 'Inter', sans-serif;
    width: 50%;
    text-align: center;
    margin-top: 30px;
  }

  .source-button:hover {
    background-color: #008552;
    color: white;
  }

  .source-button > img {
    margin-left: 7px;
  }

  .title-button-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .title-frameworksOptions {
    align-self: center;
    margin-top: 50px;
  }

  .popup-title {
    margin-bottom: 20px;
    font-family: 'Inter', sans-serif;
    color: #172b4d;
    font-size: 20px;
  }

  .popup-description {
    font-family: 'Inter', sans-serif;
    color: #344563;
    font-size: 16px;
    line-height: 35px;
    margin-bottom: 50px;
  }

  .recent-works-frameworks-popup {
    display: flex;
    justify-content: flex-start;
    margin-bottom: 40px;
    align-self: flex-start;
    flex-wrap: wrap;
  }

  .popup-buttons-desktop {
    display: none;
  }

  .popup-buttons-mobile {
    display: flex;
    justify-content: space-between;
    width: 100%;
    align-self: center;
  }

  .description-button-mobile {
    display: flex;
    flex-direction: column;
    width: 100%;
  }

  .errormessageitem {
    display: flex;
  }

  .errormessage {
    color: red;
    font-size: 15px;
    margin-bottom: 15px;
    align-self: center;
  }
}

/* Desktop version */
@media screen and (min-width: 768px) {
  .img-project1 {
    height: 222px;
    width: 320px;
    padding-top: 15px;
  }

  .toolbar {
    height: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .btn {
    background-color: #36b37f;
    padding: 17px 5px;
    color: white;
    border-radius: 5px;
    font-family: 'Inter', sans-serif;
    align-self: center;
  }

  /* Nav Bar */
  .navbar-items {
    display: flex;
    justify-content: center;
    padding: 20px;
  }

  .navbar-items li a {
    font-family: 'Inter', sans-serif;
    text-decoration: none;
    color: black;
  }

  .logo {
    display: none;
  }

  .menu-button {
    display: none;
  }

  .Nav-Item {
    margin-right: 30px;
    font-family: 'Inter', sans-serif;
  }

  .headline {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-image: url("images/Header-llustration-desktop.svg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
    height: 500px;
    padding: 0 24px;
  }

  .headline h1 {
    font-family: 'Inter', sans-serif;
    font-size: 40px;
    color: #172b4d;
    width: 100%;
    margin-bottom: 24px;
    padding: 0 12px;
  }

  .headline span {
    font-family: 'Inter', sans-serif;
    font-size: 40px;
    color: #36b37e;
  }

  .headline p {
    font-family: 'Inter', sans-serif;
    font-size: 20px;
    color: #42526e;
    width: 100%;
    margin-bottom: 24px;
    padding: 0 100px;
  }

  .contact-info {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 50px;
  }

  .contact-info-button {
    margin-right: 30px;
    transition: all 0.5s ease-out;
  }

  .disabled-button {
    margin-top: 100px;
  }

  .generic {
    text-align: left;
    font-family: 'Inter', sans-serif;
  }

  .recent-works {
    margin-bottom: 40px;
    padding: 0 24px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
  }

  .indicator {
    justify-self: center;
  }

  .works-cards-container {
    width: 100%;
    margin-top: 40px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 2fr;
    align-items: center;
    justify-content: center;
  }

  .work-card {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    border: 1px solid #d0d9d4;
    margin-bottom: 15px;
    padding-bottom: 24px;
    justify-self: center;
    align-self: center;
    border-radius: 10px;
    margin-right: 20px;
    width: 90%;
    max-width: 360px;
    min-width: 250px;
  }

  .work-card h3 {
    font-family: 'Inter', sans-serif;
    font-size: 24px;
    margin-bottom: 25px;
    color: #3a4a42;
    padding-top: 10px;
    padding-bottom: 10px;
  }

  .works-cards-detail-container {
    border-radius: 50%;
    height: 275px;
  }

  .project-image {
    height: 252px;
    width: 100%;
    background-color: #ebf0ee;
    border-radius: 8px 8px 0 0;
  }

  .project-image-bg {
    background-color: black;
  }

  .recent-works-frameworks {
    display: flex;
    justify-content: space-evenly;
    margin-bottom: 40px;
  }

  .frameworks-item {
    padding: 12px 12px;
    font-family: 'Inter', sans-serif;
    background: #ebf0ee;
    margin-right: 5px;
    border-radius: 5px;
    color: #3a4a42;
    font-weight: bold;
    margin-bottom: 5px;
  }

  .btn-align {
    margin-bottom: 10px;
  }

  /* About me */
  .about-me {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    text-align: center;
  }

  .about-me p {
    font-family: 'Inter', sans-serif;
    font-size: 20px;
    margin-bottom: 60px;
    padding: 0 12px;
    width: 100%;
  }

  .about-me-headline {
    width: 100%;
    height: 351px;
    background-image: url("images/illustration-1-about-me-mobile.jpg"), url("images/illustration-2-about-me-mobile.jpg");
    background-repeat: no-repeat;
    background-position: top right, bottom left;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .about-me-card h3 {
    font-family: 'Inter', sans-serif;
    font-size: 24px;
    margin-top: 40px;
    margin-bottom: 25px;
    color: #344563;
  }

  .about-me-headline p {
    color: #42526e;
    font-family: 'Inter', sans-serif;
    margin-bottom: 40px;
    padding: 0 35px;
    width: 100%;
    align-self: center;
  }

  .knowledges {
    display: grid;
    align-content: center;
    justify-content: center;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr;
    width: 100%;
    margin-top: 60px;
  }

  .image-container {
    margin-top: 20px;
  }

  .about-me-card {
    width: 90%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    border: 1px solid #d0d9d4;
    margin-bottom: 15px;
    background: #ebf0ee;
    justify-self: center;
    border-radius: 10px;
    margin-right: 20px;
    max-width: 360px;
    min-width: 250px;
  }

  .subcategory-items {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    margin-bottom: 100px;
  }

  .subcategory-item {
    padding: 12px 12px;
    font-family: 'Inter', sans-serif;
    background: #fff;
    margin-right: 5px;
    color: #36b37e;
    margin-bottom: 15px;
    border-radius: 10px;
  }

  .frameworks-card {
    max-width: 369px;
    margin-left: 5%;
    margin-right: 5px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    border: 1px solid #d0d9d4;
    margin-bottom: 15px;
    background: #ebf0ee;
  }

  /* Contact Form */
  .footer {
    height: 785px;
  }

  .contact-form-control {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 40px;
    margin-top: 50px;
    width: 100%;
  }

  .contact-form-control li {
    width: 100%;
  }

  .user-name {
    font-family: 'Inter', sans-serif;
    border: 1px solid #d0d9d4;
    width: 100%;
    height: 48px;
    margin-bottom: 20px;
    border-radius: 4px;
    padding-left: 10px;
  }

  .user-email {
    font-family: 'Inter', sans-serif;
    border: 1px solid #d0d9d4;
    width: 100%;
    height: 48px;
    margin-bottom: 20px;
    border-radius: 4px;
    padding-left: 10px;
  }

  .user-msg {
    font-family: 'Inter', sans-serif;
    border: 1px solid #d0d9d4;
    width: 100%;
    height: 114px;
    margin-bottom: 5px;
    border-radius: 4px;
    padding-left: 10px;
    padding-top: 10px;
  }

  .contact-for-contact-info {
    margin-bottom: 250px;
    margin-top: 150px;
    background-image: url("images/Rectangle42.svg");
    background-repeat: no-repeat;
    background-position: top right, bottom left;
    padding-top: 10px;
  }

  .portfolio-owner-email {
    font-family: 'Inter', sans-serif;
    text-align: center;
    height: 189px;
    color: #42526e;
    display: none;
  }

  .contact-form-headline-form {
    display: flex;
    width: 100%;
    justify-content: space-evenly;
    background-image: url("images/illustration-1-contact-form-desktop.svg"), url("images/illustration-2-contact-form-desktop.svg"), url("images/contact\ form-illustratoin-3-desktop.svg");
    background-repeat: no-repeat;
    background-position: bottom left, 20% 90%, bottom right;
    font-size: 30px;
    height: 600px;
  }

  .contact-form-headline {
    width: 50%;
    font-size: 30px;
  }

  .btn-contact-form {
    width: 150px;
    margin-right: 193px;
    transition: all 0.5s ease-out;
  }

  /* Popup Windows */
  .background-popup {
    display: flex;
    position: fixed;
    background-color: #c1c7d0;
    opacity: 0.98;
    width: 100%;
    top: 0;
    height: 100%;
    z-index: 100;
    overflow: auto;
    padding-top: 80px;
  }

  .modal-container {
    width: 100%;
    height: 1500px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .modal {
    position: absolute;
    width: 65%;
    height: 1250px;
    top: 7%;
    background-color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-self: center;
    max-width: 1200px;
    min-width: 1200px;
  }

  .popup-close {
    width: 50px;
    height: 60px;
    background-image: url("images/ClosePopup.svg");
    background-repeat: no-repeat;
    align-self: flex-end;
    margin: 15px 15px 15px 0;
  }

  .popup-img {
    width: 95%;
    height: 95%;
    align-self: center;
  }

  .popup-img > img {
    width: 100%;
    align-self: center;
  }

  .live-button {
    background-color: #36b37f;
    padding: 17px 50px 17px 15px;
    color: white;
    border-radius: 5px;
    font-family: 'Inter', sans-serif;
    background-image: url(images/Icon-Live.svg);
    background-repeat: no-repeat;
    background-position-x: 100px;
    background-position-y: 20px;
    margin-top: 30px;
  }

  .live-button:hover {
    background-color: #008552;
    color: white;
  }

  .source-button {
    background-color: #36b37f;
    padding: 17px 45px 17px 15px;
    color: white;
    border-radius: 5px;
    font-family: 'Inter', sans-serif;
    background-image: url(images/Vector-Github.svg);
    background-repeat: no-repeat;
    background-position-x: 115px;
    background-position-y: 20px;
    margin-right: 30px;
  }

  .source-button:hover {
    background-color: #008552;
    color: white;
  }

  .title-button-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .title-frameworksOptions {
    align-self: center;
    margin-top: 50px;
    margin-left: 32px;
  }

  .popup-title {
    margin-left: 5px;
    margin-bottom: 20px;
    font-family: 'Inter', sans-serif;
    color: #172b4d;
    font-size: 32px;
  }

  .popup-description {
    font-family: 'Inter', sans-serif;
    color: #344563;
    font-size: 16px;
    line-height: 35px;
    padding: 0 30px 0 30px;
    padding-bottom: 20px;
  }

  .recent-works-frameworks-popup {
    display: flex;
    justify-content: flex-start;
    margin-bottom: 40px;
    align-self: flex-start;
  }

  .popup-buttons-mobile {
    display: none;
  }

  .errormessageitem {
    display: flex;
  }

  .errormessage {
    color: red;
    font-size: 15px;
    margin-top: 0 !important;
    margin-bottom: 15px;
    align-self: center;
  }
}
